#include <iostream>
using namespace std;

int main() {

    long long L, m, n, a = 0;
    cin >> L >> m >> n;

    do {
        L -= m;
        m -= n;
        a++;
    } while (L >= 0);

    cout << a << endl;

    return 0;

}
